pcl::io::IRImage Class Reference

Class containing just a reference to IR meta data. More...

`#include <pcl/io/image_ir.h>`

## Public Types

typedef boost::shared_ptr< IRImage > | Ptr
typedef boost::shared_ptr< const IRImage > | ConstPtr
typedef boost::chrono::high_resolution_clock | Clock
typedef boost::chrono::high_resolution_clock::time_point | Timestamp

## Public Member Functions

| IRImage (FrameWrapper::Ptr ir_metadata)
| IRImage (FrameWrapper::Ptr ir_metadata, Timestamp time)
| ~IRImage () throw ()
void | fillRaw (unsigned width, unsigned height, unsigned short *ir_buffer, unsigned line_step=0) const
unsigned | getWidth () const
unsigned | getHeight () const
unsigned | getFrameID () const
pcl::uint64_t | getTimestamp () const
Timestamp | getSystemTimestamp () const
const unsigned short * | getData ()
int | getDataSize () const
unsigned | getStep () const
const FrameWrapper::Ptr | getMetaData () const
| method to access the internal data structure wrapper, which needs to be cast to an approperate subclass before the getMetadata(..) function is available to access the native data type. More...

## Protected Attributes

FrameWrapper::Ptr | wrapper_
Timestamp | timestamp_

## Detailed Description

Class containing just a reference to IR meta data.

Definition at line 52 of file image_ir.h.

## Member Typedef Documentation

typedef boost::chrono::high_resolution_clock pcl::io::IRImage::Clock

Definition at line 58 of file image_ir.h.

typedef boost::shared_ptr<const IRImage> pcl::io::IRImage::ConstPtr

Definition at line 56 of file image_ir.h.

typedef boost::shared_ptr<IRImage> pcl::io::IRImage::Ptr

Definition at line 55 of file image_ir.h.

typedef boost::chrono::high_resolution_clock::time_point pcl::io::IRImage::Timestamp

Definition at line 59 of file image_ir.h.

## Constructor & Destructor Documentation

pcl::io::IRImage::IRImage | ( | FrameWrapper::Ptr | ir_metadata | ) |

pcl::io::IRImage::IRImage | ( | FrameWrapper::Ptr | ir_metadata,
|  | Timestamp | time
| ) |  |

pcl::io::IRImage::~IRImage | ( |  | ) |
throw | ( |
| ) |  |

inline

Definition at line 64 of file image_ir.h.

## Member Function Documentation

void pcl::io::IRImage::fillRaw | ( | unsigned | width,
|  | unsigned | height,
|  | unsigned short * | ir_buffer,
|  | unsigned | line_step = `0`
| ) |  | const

const unsigned short* pcl::io::IRImage::getData | ( |  | ) |

int pcl::io::IRImage::getDataSize | ( |  | ) | const

unsigned pcl::io::IRImage::getFrameID | ( |  | ) | const

unsigned pcl::io::IRImage::getHeight | ( |  | ) | const

const FrameWrapper::Ptr pcl::io::IRImage::getMetaData | ( |  | ) | const

method to access the internal data structure wrapper, which needs to be cast to an approperate subclass before the getMetadata(..) function is available to access the native data type.

unsigned pcl::io::IRImage::getStep | ( |  | ) | const

inline

Definition at line 95 of file image_ir.h.

Timestamp pcl::io::IRImage::getSystemTimestamp | ( |  | ) | const

pcl::uint64_t pcl::io::IRImage::getTimestamp | ( |  | ) | const

unsigned pcl::io::IRImage::getWidth | ( |  | ) | const

## Member Data Documentation

Timestamp pcl::io::IRImage::timestamp_

protected

Definition at line 108 of file image_ir.h.

FrameWrapper::Ptr pcl::io::IRImage::wrapper_

protected

Definition at line 107 of file image_ir.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/io/include/pcl/io/image_ir.h